#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;
using NinjaTrader.NinjaScript.DrawingTools;
#endregion

//This namespace holds Indicators in this folder and is required. Do not change it. 
namespace NinjaTrader.NinjaScript.Indicators.AlanIndicators
{
	public class InsideBarPaintedUserSpecifiedColor : Indicator
	{
		
		/// <summary>
		///Indicator will paint an inside bar Yellow.
		/// 
		/// Written By Alan Palmer,
   		/// 	Please Send Questions/Suggestions/Bugs via private message at,
        /// 		http://ninjatrader.com/support/forum/member.php?u=67851
		/// </summary>
		/// 

		protected override void OnStateChange()
		{
			if (State == State.SetDefaults)
			{
				Description									= @"Paints a Inside Bar Yellow";
				Name										= "InsideBarPaintedUserSpecifiedColor";
				Calculate									= Calculate.OnBarClose;
				IsOverlay									= true;
				DisplayInDataBox							= true;
				DrawOnPricePanel							= true;
				DrawHorizontalGridLines						= true;
				DrawVerticalGridLines						= true;
				PaintPriceMarkers							= true;
				ScaleJustification							= NinjaTrader.Gui.Chart.ScaleJustification.Right;
				//Disable this property if your indicator requires custom values that cumulate with each new market data event. 
				//See Help Guide for additional information.
				IsSuspendedWhileInactive					= true;
				
					BorderBrush = Brushes.RoyalBlue;
			}
			else if (State == State.Configure)
			{
				
				// brushColor[i]
			}
		}

		protected override void OnBarUpdate()
		{
			if(CurrentBar<2) return;
			
			if(High[0]<High[1] && Low[0]>Low[1])
			{
				BarBrush = BorderBrush;

			}
		}
		
		#region Properties
		// Create our user definable color input
		[XmlIgnore()]
		[Display(Name = "BorderBrush", GroupName = "NinjaScriptParameters", Order = 0)]
		public Brush BorderBrush
		{ get; set; }
		
		// Serialize our Color object
		[Browsable(false)]
		public string BorderBrushSerialize
		{
			get { return Serialize.BrushToString(BorderBrush); }
   			set { BorderBrush = Serialize.StringToBrush(value); }
		}
		#endregion
	}
}

#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		private AlanIndicators.InsideBarPaintedUserSpecifiedColor[] cacheInsideBarPaintedUserSpecifiedColor;
		public AlanIndicators.InsideBarPaintedUserSpecifiedColor InsideBarPaintedUserSpecifiedColor()
		{
			return InsideBarPaintedUserSpecifiedColor(Input);
		}

		public AlanIndicators.InsideBarPaintedUserSpecifiedColor InsideBarPaintedUserSpecifiedColor(ISeries<double> input)
		{
			if (cacheInsideBarPaintedUserSpecifiedColor != null)
				for (int idx = 0; idx < cacheInsideBarPaintedUserSpecifiedColor.Length; idx++)
					if (cacheInsideBarPaintedUserSpecifiedColor[idx] != null &&  cacheInsideBarPaintedUserSpecifiedColor[idx].EqualsInput(input))
						return cacheInsideBarPaintedUserSpecifiedColor[idx];
			return CacheIndicator<AlanIndicators.InsideBarPaintedUserSpecifiedColor>(new AlanIndicators.InsideBarPaintedUserSpecifiedColor(), input, ref cacheInsideBarPaintedUserSpecifiedColor);
		}
	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		public Indicators.AlanIndicators.InsideBarPaintedUserSpecifiedColor InsideBarPaintedUserSpecifiedColor()
		{
			return indicator.InsideBarPaintedUserSpecifiedColor(Input);
		}

		public Indicators.AlanIndicators.InsideBarPaintedUserSpecifiedColor InsideBarPaintedUserSpecifiedColor(ISeries<double> input )
		{
			return indicator.InsideBarPaintedUserSpecifiedColor(input);
		}
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		public Indicators.AlanIndicators.InsideBarPaintedUserSpecifiedColor InsideBarPaintedUserSpecifiedColor()
		{
			return indicator.InsideBarPaintedUserSpecifiedColor(Input);
		}

		public Indicators.AlanIndicators.InsideBarPaintedUserSpecifiedColor InsideBarPaintedUserSpecifiedColor(ISeries<double> input )
		{
			return indicator.InsideBarPaintedUserSpecifiedColor(input);
		}
	}
}

#endregion
